From 347aaf341c9c04dd8c64bf53d344c6cce863f970 Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Sat, 1 Jun 2019 14:23:24 -0500
Subject: [PATCH] endless-sky: update to 0.9.9

---
 srcpkgs/endless-sky/patches/cxx-cross.patch | 11 +++++++++++
 srcpkgs/endless-sky/template                |  8 ++++----
 2 files changed, 15 insertions(+), 4 deletions(-)
 create mode 100644 srcpkgs/endless-sky/patches/cxx-cross.patch

diff --git a/srcpkgs/endless-sky/patches/cxx-cross.patch b/srcpkgs/endless-sky/patches/cxx-cross.patch
new file mode 100644
index 00000000000..b8ee12c6b98
--- /dev/null
+++ b/srcpkgs/endless-sky/patches/cxx-cross.patch
@@ -0,0 +1,11 @@
+--- SConstruct.orig
++++ SConstruct
+@@ -2,6 +2,8 @@
+ 
+ # Load environment variables, including some that should be renamed.
+ env = Environment(ENV = os.environ)
++if 'CXX' in os.environ:
++	env.Replace(CXX = os.environ['CXX'])
+ if 'CXXFLAGS' in os.environ:
+ 	env.Append(CCFLAGS = os.environ['CXXFLAGS'])
+ if 'LDFLAGS' in os.environ:
diff --git a/srcpkgs/endless-sky/template b/srcpkgs/endless-sky/template
index 4eb72b03315..f3e4da66ece 100644
--- a/srcpkgs/endless-sky/template
+++ b/srcpkgs/endless-sky/template
@@ -1,17 +1,17 @@
 # Template file for 'endless-sky'
 pkgname=endless-sky
-version=0.9.8
-revision=2
+version=0.9.9
+revision=1
 build_style=scons
 makedepends="SDL2-devel glew-devel libjpeg-turbo-devel libmad-devel
  libopenal-devel libpng-devel"
 depends="${pkgname}-data"
 short_desc="Space exploring, trading, and combat game"
 maintainer="CoolOhm <micvlas@gmail.com>"
-homepage="http://endless-sky.github.io/"
 license="GPL-3.0-or-later"
+homepage="http://endless-sky.github.io/"
 distfiles="https://github.com/endless-sky/endless-sky/archive/v${version}.tar.gz"
-checksum=69078c67656709646deb0c46fd960aa905601c23bb47c1696b0962ae8dff6d1e
+checksum=8bb9a17fd28177b2c17cadb282edcf4ef9a8b3de146f177cc4ca37c6f0aed8a5
 
 endless-sky-data_package() {
 	short_desc+=" - data files"
